/*
 *
 * Copyright (c) 2004, Frederick Ros (sl33p3r@free.fr)
 *										    
 * Dsp.c
 *
 *
 * This file is part of the eagle-usb driver package.
 *
 * eagle-usb driver package is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the License,
 * or (at your option) any later version.
 *
 * "eagle-usb driver package" is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with "ADI USB ADSL Driver for Linux"; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: Dsp.c,v 1.2 2004/06/04 18:56:19 sleeper Exp $
 */


#include "Adiutil.h"
#include "Dsp.h"
#include "macros.h"
#include "debug.h"




int EagleIVProcessDSPCode(eu_instance_t *ins, UInt8 *pDSP, UInt32 uiBuffSize)
{
    L1_FILE *pL1 = (L1_FILE *) pDSP;
    
    eu_enters (DBG_DSP);
    
    /*eu_report ("EagleIVProcessDSPCode : uiBuffSize (%d) where pL1->spageHeader[0].ulSwapPageSize (%d) and numberof pages (%d)\n"
            ,uiBuffSize,pL1->spageHeader[0].ulSwapPageSize,pL1->spageHeader[0].usPageNumber);
    */
    ins->e4sm.pDspBuff = pL1;
    ins->e4sm.uiTotalDspSize = ins->e4sm.pDspBuff->spageHeader[0].ulSwapPageSize;
    ins->e4sm.ucTotalNumPages = (uint8_t)ins->e4sm.pDspBuff->spageHeader[0].usPageNumber;
    /*
    eu_report ("EagleIVProcessDSPCode : uiBuffSize (%d) and ins->e4sm.uiTotalDspSize (%d) and ins->e4sm.ucTotalNumPages (%d)\n"
            ,uiBuffSize,ins->e4sm.uiTotalDspSize,ins->e4sm.ucTotalNumPages);
    */
    eu_leaves (DBG_DSP);
    return 0;
}

/***************************************************************************
$Log: Dsp.c,v $
Revision 1.2  2004/06/04 18:56:19  sleeper
Cosmetics

Revision 1.1  2004/02/06 22:01:34  sleeper
Initial creation

Revision 1.2  2003/09/14 22:09:00  sleeper
Various changes ( I know this is not a good reason :)

Revision 1.2  2003/06/03 22:51:55  sleeper
Changed ZAPS to eu_dbg/err macros

Revision 1.1.1.1  2003/02/10 23:29:49  sleeper
Imported sources

Revision 1.70  2002/05/24 22:59:33  Anoosh Naderi
Clean up the code

Revision 1.6  2002/01/16 22:59:33  steve.urquhart
Moved portion of DspFoodProcessor and invocation of BootTheModem to
eu_user ioctl handler.  Removed LoadAndPrepareDsp.  Cleaned up the ioctl
interface.  Decreased initial DSP vmalloc to less than .5MB.

Revision 1.5  2002/01/14 21:59:30  chris.edgington
Added GPL header.

Revision 1.4  2001/12/22 19:45:55  chris.edgington
Actually use the return value from DspFoodProcessor.

Revision 1.3  2001/12/20 22:35:17  chris.edgington
Replaced tabs(\t) in ZAPs with kTAB - Linux doesn't like tabs.
Replaced direct pointer access of DSP code with itoi function for endian
conversion.

Revision 1.2  2001/12/17 22:06:28  chris.edgington
Redid ZAPs to comply with Linux peculararities.

Revision 1.1.1.1  2001/12/14 21:27:11  chris.edgington
Initial import
***************************************************************************/
